Bug 839201 - MAC address is released to the pool even when MAC is used
MAC address is released to the pool even when MAC is used
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Moti Asayag
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 04:03 EDT by lpeer
Modified: 2016-02-10 14:49 EST (History)
9 users (show)

See Also:
Fixed In Version: si12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot with the same MAC adress used for 2 vnics in the same VM (127.17 KB, image/png)
2012-07-11 04:03 EDT, lpeer
no flags Details

  None (edit)
Description lpeer 2012-07-11 04:03:22 EDT
Created attachment 597492 [details]
screen shot with the same MAC adress used for 2 vnics in the same VM

Description of problem:

When manually editing a MAC address to a used MAC address the operation fails but the original MAC address is returned to the free MAC addresses list.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a VM with vnic (assuming the mac address allocated is A:A:A:A)
2. edit A:A:A:A to a MAC that is already in use by other VMs in the setup
3. The operation should fail and A:A:A:A should still be used by the vnic
4. Allocate new vnics and see that one of them is getting A:A:A:A as the MAC address


to make the 4th step easy you can use a small range of MACs in your setup.
  
Actual results:


Expected results:


Additional info:
Comment 1 Moti Asayag 2012-07-16 18:02:14 EDT
suggested patch: http://gerrit.ovirt.org/#/c/6331/
Comment 2 Moti Asayag 2012-07-17 08:15:52 EDT
Commit-id: fc629a1f2e4bfb17ad99bcde234ebcd29d097992
Comment 3 Meni Yakove 2012-07-29 06:21:31 EDT
Verified on vdsm-4.9.6-24.0.el6_3.x86_64.

Note You need to log in before you can comment on or make changes to this bug.